Joomla! 1.5.19

Eilsest on saadaval uus Joomla versioon 1.5.19 [Wojmamni ama batani]. See on turvaväljalase, mis likvideerib neli turvariski. See omakorda peaks olema piisav põhjus ajendama kõiki olemasolevaid versioone uuendama.

Tehtud muudatused

Turvalisus

Selles väljalaskes on parandatud neli turvariski:

Komponendid

  • Selles väljalaskes pole ühtegi komponentidega seotud parandust.

Moodulid

  • Selles väljalaskes pole ühtegi moodulitega seotud parandust.

Pluginad

  • Sellesse versiooni lisati uus plugin Mootools 1.2.4 Upgrade. See plugin on vaikimisi välja lülitatud ning see ei mõjuta sinu saiti, kui sa seda just ise sisse ei lülita. Kui see plugin sisse lülitada, siis asendab see Joomlaga kaasasoleva vanema Mootoolsi versiooni 1.1 uuema 1.2.4 versiooniga. Tagasiühilduvus tagatakse Mootoolsi tagasiühilduvuse kihi abil. Kui sa ei vaja lisafunktsioone, mida pakub Mootools 1.2.4, siis ära lüita seda pluginat sisse.

Tagasiühilduvus

  • Selles väljalaskes pole ühtegi tagasiühilduvusega seotud parandust.

Kujundused

  • Selles väljalaskes pole ühtegi kujundustega seotud parandust.

Keelefailid

  • Selles väljalaskes pole ühtegi keelefailidega seotud parandust.

Administraator

  • Selles väljalaskes pole ühtegi adminiliidesega seotud parandust.

Süsteem

  • Selles väljalaskes pole ühtegi üldise süsteemiga seotud parandust.

Statistika

Joomla versioonis 1.5.19 on

  • 4 parandatud probleemi
  • 9 lisatud koodiparandust

Statistika 1.5.19 väljalaskeperioodi kohta:

  • 48 uut aruannet
  • 4 suletud
  • 4 parandatud SVN-is

Joomla! 1.5.19 avaldamisel oli koodibaasis 376 aktiivset probleemi:

  • 229 avatud
  • 105 kinnitatud
  • 42 ootel

Lingid

Juhendid

Allalaadimine

Lae alla Joomla! 1.5.19

Lae alla Joomla! 1.5.19 uuenduspakk versioonile 1.5.18

blog comments powered by Disqus
Toeta eraser.ee eluspüsimist!